Skip to Content
veriom

Decide MCP consent

POST
/v1/mcp/consent

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Request Body

application/json
  1. body
approved*Approved
flow_token*Flow Token
Length20 <= length <= 200
workspace_id?|null

Response Body

Successful Response

application/json
  1. response
redirect_url*Redirect Url
Example Request
curl -X POST 'https://api.veriom.ai/v1/mcp/consent' \  -H 'Content-Type: application/json' \  -d '{  "approved": true,  "flow_token": "stringstringstringst"}'
Example Response
{  "redirect_url": "string"}